.page_title_container.textonly,
.entry-hero,
.hero-section-overlay {
	min-height: min(10vh, 30vw);
	background: var(--hero-bg) !important;

	.hero-title,
	.page-title,
	.entry-title {
		font-size: var(--text-24-48) !important;
		color: var(--hero-title-color);
		text-shadow: none;
		text-transform: uppercase;

		&:before {
			display: none;
		}
	}

	&:before {
		display: none;
	}
}

.page_title_container {
	min-height: 35vh;

	&:before {
		background: var(--gray-light);
		opacity: 0.5;
		inset: 0;
		content: '';
		position: absolute;
		z-index: 0;
	}

	.hero-title,
	.hero-title {
		font-family: var(--global-heading-font-family);
		/*Oswald;*/
		font-weight: 700;
		font-size: var(--text-30-60) !important;
		line-height: 1em;
		text-transform: uppercase;
		color: #fff;
		text-shadow: 0 0 1em var(--gray);
		z-index: 2;
		text-align: center;
		text-wrap: balance;
	}
}

.wp-singular {
	[class*='title']:is(h1, h2, h3, h4, h5, h6) {
		text-transform: uppercase;
	}
}

.form-reg-ecommerce {
	[class*='cf-col-'] {
		margin-top: 0 !important;

		&:has(.wpcf7-acceptance) {
			margin-top: 0 !important;
		}
	}

	.wpcf7-list-item,
	.wpcf7-list-item label {
		gap: 0.5rem !important;
	}

	fieldset {
		border-radius: var(--radius-sm);
		border-color: var(--gray);
		margin-top: 0;
		margin-left: 0;
		margin-right: 0;
		padding-block: 2rem;

		.wpcf7-exclusive-checkbox {
			display: flex;
			gap: 0.5rem;

			.wpcf7-list-item {
				display: flex;

				.wpcf7-list-item-label {
					margin-left: 0.25rem;
				}
			}
		}
	}
}

/* Img galleries */

.wp-block-gallery.has-nested-images {
	display: grid;
	gap: 1.5rem;
	grid-template-columns: repeat(4, 1fr);

	figure {
		width: 100% !important;
		border-radius: var(--radius);
		overflow: hidden;
	}

	@media (width<1200px) {
		grid-template-columns: repeat(3, 1fr);
	}

	@media (width<850px) {
		grid-template-columns: repeat(2, 1fr);
	}

	@media (width<450px) {
		grid-template-columns: 1fr;
	}
}

.wp-block-gallery.has-nested-images figure.wp-block-image figcaption {
	line-height: calc(1em + 0.1vw);
	background: rgba(0, 0, 0, 0.5) !important;
	transition: all 0.25s ease;
}

.wp-block-gallery.has-nested-images figure:is(:focus, :hover) figcaption {
	height: 100%;
	background: rgba(0, 0, 0, 0.85) !important;
	display: flex;
	align-items: center;
	line-height: 1.45em;
	justify-content: space-around;
}

/* Contatti */

.lista-mail {
	p {
		margin: 0;

		&:not(:has(a)) {
			font-weight: bold;
		}

		&:has(a) {
			margin-bottom: 1rem;
		}
	}
}

/* Videos */

.download-video-container {
	.gs-video-wrapper {
		border-radius: var(--radius);
		overflow: hidden;
	}
	.gspb_button_wrapper {
		text-align: center;
		display: block !important;
	}
}
/* Legenda mappa azienda */
.dc_map_legenda:before {
	content: '';
	width: 30px;
	height: 30px;
	position: relative;
	display: inline-block;
	top: 10px;
	margin-top: 8px;
	margin-right: 8px;
}

.dc_map_legg_1.dc_map_legenda:before {
	background-color: var(--primary-color);
}

.dc_map_legg_2.dc_map_legenda:before {
	background-color: var(--secondary);
}

/* Pagine policies */

#iubenda_policy,
.policy_content {
	.iub_content,
	.policy_content {
		font-family: var(--global-body-font-family);
		line-height: 1.4em;
		color: var(--gray-dark);

		p,
		ul > li {
			font-family: var(--global-body-font-family);
			line-height: 1.4em;
			color: var(--gray-dark);
			font-size: var(--text-xs) !important;
		}
	}

	:is(h1, h2) {
		color: var(--primary-color) !important;
		text-transform: uppercase !important;
	}

	:is(h1, h2, h3, h4, h5, h6) {
		font-family: var(--global-heading-font-family) !important;
	}

	h3 {
		font-size: var(--text-md) !important;
	}

	h4,
	h5,
	h6 {
		font-size: var(--text-sm) !important;
	}

	.box_10 {
		border-radius: var(--radius) !important;
		overflow: hidden;

		summary {
			background-color: var(--gray-lightest) !important;
		}
	}
}

.policy_content {
	font-size: var(--text-xs);
	line-height: 1.4em;

	h3 {
		&,
		strong {
			font-weight: 600 !important;
		}

		& > br {
			display: none;
		}
	}
}

/* Iubenda */

#iubenda_policy {
	.iub_content {
		padding: 0 !important;
	}

	ul.for_boxes {
		grid-template-columns: 1fr;
	}

	details h3 {
		font-size: var(--text-sm) !important;
	}
}

/* Galleries */

.gallery {
	.thumbnail {
		padding: 0;
		border: 0;
		border-radius: var(--radius-sm) !important;
		overflow: hidden !important;
		box-shadow: 0 0 10px rgba(0, 0, 0, 0.45);
	}

	.item-title {
		text-transform: capitalize;
		font-size: var(--text-xs);
		line-height: 1em;
		min-height: 3rem;
		display: flex;
		align-items: center;
		justify-content: center;
		left: 15px;
		right: 15px;
		bottom: 20px;
		border-bottom-left-radius: var(--radius-sm);
		border-bottom-right-radius: var(--radius-sm);
	}
}

/* Filiali */

.location-infos {
	padding-top: 2rem !important;
	padding-bottom: 1rem !important;
	margin-top: 1.5rem !important;
	margin-bottom: 0.5rem !important;
	border-bottom: none !important;
	width: min(100%, 320px);
	text-align: center;

	.gspb_iconsList__item .gspb_iconsList__item__text {
		text-align: left;

		a:not(:hover, :focus, :active) {
			color: var(--text-color) !important;
		}
	}

	.gspb_row__content:has(&) {
		justify-content: center !important;
	}

	.wp-block-greenshift-blocks-iconlist.inline-grid {
		display: inline-grid;
		grid-template-columns: 20px auto;
		justify-items: start;
		width: auto;
		margin-inline: auto;

		.gspb_iconsList__item {
			display: contents !important;
		}

		.gspb_iconsList__item svg {
			transform: translateY(4px);
		}
	}

	@media (width<1200px) {
		width: min(100%, 250px);
		padding-bottom: 0 !important;
	}

	@media (width<600px) {
		width: 100%;
	}
}

.info_legali_nav {
	ul {
		gap: min(10px, 5vw);
		display:flex;
		flex-wrap:wrap;
		justify-content:center;	
	}

	li {
		display: inline-block;
		padding: 0.25rem 1rem !important;
		background-color: #fff;
		border: 1px solid var(--gray-light);
		border-radius: var(--radius, 0.5rem);
		color: var(--gray-light, #666);
		text-decoration: none;
		font-size: var(--text-sm, 0.8rem);
		font-weight: 500;
		transition: all 0.3s ease;
		text-transform: uppercase;
		letter-spacing: 0.5px;
		a {
			color:var(--gray-light, #666);
		}

		&:is(:hover, :focus, :active):not(.current-menu-item) {
			border-color: var(--secondary-color);

			a {
				color: var(--secondary-color) !important;
			}
		}

		&.current-menu-item {
			border-color: var(--primary-color);

			a {
				color: var(--primary-color) !important;
			}
		}
	}
}

/* Downloads */

.type-cataloghi {
	border: solid 1px var(--gray-lighter);
	outline: none !important;

	.wp-element-button {
		margin-left: auto;

		.gspb-buttonbox-textwrap {
			justify-content: center;
		}
	}
}

.type-cataloghi > div,
.type-schede_di_sicurezza {
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.type-schede_di_sicurezza {
	text-align: center;
	outline: 2px solid var(--gray-light) !important;
	padding: 1rem;
	outline: none !important;

	img {
		margin-inline: auto !important;
		/*margin-top: 1rem;*/
		display: block;
		padding: 0.5rem;
	}

	.gspb-dynamic-post-title {
		justify-content: center;
	}

	& > div {
		padding: 0 !important;
	}

	.gspb_button_wrapper {
		justify-content: center !important;
	}

	@media (width<400px) {
		.gspb-buttonbox {
			width: 100%;
		}
	}
}

.slider-download,
.gs-video-wrapper {
	max-width: 90vw !important;
	margin-inline: auto !important;
}

.slider-download {
	.gspbgrid_item.type-cataloghi {
		transform: translateX(-15px) !important;
	}

	.swiper-slide > div {
		text-align: center;
		align-content: space-between;
		text-wrap: balance;

		align-items: center;

		img {
			max-width: 100%;
			margin-inline: auto;
			display: block;
			margin-bottom: 1rem;
			border-radius: var(--radius);
		}

		.gspb-buttonbox {
			margin-bottom: 2.5rem;
		}
	}
}

.download-video-container {
	padding-block: 2rem;

	.gspb-dynamic-post-title {
		text-align: center;
		justify-content: center;
	}

	.gs-video {
		aspect-ratio: 16/9 !important;
		margin-block: 2rem;
	}

	.gs-video-wrapper {
		width: 100%;
		height: 100% !important;
	}
}

@media (orientation: landscape) and (min-width: 1201px) {
	.nav-info-legali {
		position: sticky !important;
		top: 85px;
		background: #fff;
		z-index: 5;
	}
}
